Bug 578920 - [PATCH] [abrt] crash in epydoc-3.0.1-6.fc13: restructuredtext.py:307:visit_paragraph:AttributeError: 'Text' object has no attribute 'data'
Summary: [PATCH] [abrt] crash in epydoc-3.0.1-6.fc13: restructuredtext.py:307:visit_pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epydoc
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:37e7fcfc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-01 18:21 UTC by Lubomir Rintel
Modified: 2010-05-04 06:23 UTC (History)
1 user (show)

Fixed In Version: epydoc-3.0.1-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 06:23:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2010-04-01 18:21 UTC, Lubomir Rintel
no flags Details
Proposed fix, apply with git am (1.12 KB, text/plain)
2010-04-01 18:24 UTC, Lubomir Rintel
no flags Details

Description Lubomir Rintel 2010-04-01 18:21:23 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/epydoc --simple-term --debug selenium.py -o doc
component: epydoc
executable: /usr/bin/epydoc
kernel: 2.6.33-1.fc13.i686
package: epydoc-3.0.1-6.fc13
reason: restructuredtext.py:307:visit_paragraph:AttributeError: 'Text' object has no attribute 'data'
release: Fedora release 13 (Rawhide)

backtrace
-----
restructuredtext.py:307:visit_paragraph:AttributeError: 'Text' object has no attribute 'data'

Traceback (most recent call last):
  File "/usr/bin/epydoc", line 13, in <module>
    cli()
  File "/usr/lib/python2.6/site-packages/epydoc/cli.py", line 965, in cli
    main(options, names)
  File "/usr/lib/python2.6/site-packages/epydoc/cli.py", line 757, in main
    exclude_parse=exclude_parse)
  File "/usr/lib/python2.6/site-packages/epydoc/docbuilder.py", line 275, in build_doc_index
    parse_docstring(val_doc, docindex, suppress_warnings)
  File "/usr/lib/python2.6/site-packages/epydoc/docstringparser.py", line 265, in parse_docstring
    api_doc.summary, api_doc.other_docs = api_doc.descr.summary()
  File "/usr/lib/python2.6/site-packages/epydoc/markup/restructuredtext.py", line 179, in summary
    try: self._document.walk(visitor)
  File "/usr/lib/python2.6/site-packages/docutils/nodes.py", line 137, in walk
    if child.walk(visitor):
  File "/usr/lib/python2.6/site-packages/docutils/nodes.py", line 129, in walk
    visitor.dispatch_visit(self)
  File "/usr/lib/python2.6/site-packages/docutils/nodes.py", line 1604, in dispatch_visit
    return method(node)
  File "/usr/lib/python2.6/site-packages/epydoc/markup/restructuredtext.py", line 307, in visit_paragraph
    m = self._SUMMARY_RE.match(child.data)
AttributeError: 'Text' object has no attribute 'data'

Local variables in innermost frame:
summary_pieces: []

How to reproduce
-----
$ cat >goo.py <<EOF
"""
hello
"""
__docformat__ = "restructuredtext en"
$ epydoc --debug goo.py

Comment 1 Lubomir Rintel 2010-04-01 18:21:26 UTC
Created attachment 404062 [details]
File: backtrace

Comment 2 Lubomir Rintel 2010-04-01 18:24:07 UTC
Created attachment 404063 [details]
Proposed fix, apply with git am

Comment 3 Lubomir Rintel 2010-04-13 18:22:37 UTC
Fixed in Rawhide. Would you mind if I pulled this into Fedora 13?

Comment 4 Fedora Update System 2010-04-20 08:36:28 UTC
epydoc-3.0.1-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/epydoc-3.0.1-7.fc13

Comment 5 Fedora Update System 2010-04-21 02:24:34 UTC
epydoc-3.0.1-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update epydoc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/epydoc-3.0.1-7.fc13

Comment 6 Fedora Update System 2010-05-04 06:23:29 UTC
epydoc-3.0.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.